<?php
/*
Plugin Name: Fluid Accessible Progressbar
Plugin URI: http://wordpress.org/extend/plugins/fluid-accessible-progressbar/
Description: WAI-ARIA Enabled Progressbar Plugin for Wordpress
Author: Theofanis Oikonomou, Kontotasiou Dionysia
Version: 2.0
Author URI: http://www.iti.gr/iti/people/ThOikon.html, http://www.iti.gr/iti/people/Dionisia_Kontotasiou.html
*/
include_once 'getRecentPosts.php';
include_once 'getRecentComments.php';
include_once 'getCategories.php';
include_once 'getMeta.php';

add_action("plugins_loaded", "FluidAccessibleProgressbar_init");
function FluidAccessibleProgressbar_init() {
    register_sidebar_widget(__('Fluid Accessible Progressbar'), 'widget_FluidAccessibleProgressbar');
    register_widget_control(   'Fluid Accessible Progressbar', 'FluidAccessibleProgressbar_control', 200, 200 );
    if ( !is_admin() && is_active_widget('widget_FluidAccessibleProgressbar') ) {
        wp_register_script('InfusionAll', ( get_bloginfo('wpurl') . '/wp-content/plugins/fluid-accessible-progressbar/lib/InfusionAll.js'));
        wp_enqueue_script('InfusionAll');

        wp_register_script('FluidAccessibleProgressbar', ( get_bloginfo('wpurl') . '/wp-content/plugins/fluid-accessible-progressbar/lib/FluidAccessibleProgressbar.js'));
        wp_enqueue_script('FluidAccessibleProgressbar');

        wp_register_style('FluidAccessibleProgressbar_css', ( get_bloginfo('wpurl') . '/wp-content/plugins/fluid-accessible-progressbar/lib/FluidAccessibleProgressbar.css'));
        wp_enqueue_style('FluidAccessibleProgressbar_css');
    }
}

function widget_FluidAccessibleProgressbar($args) {
    extract($args);

    $options = get_option("widget_FluidAccessibleProgressbar");
    if (!is_array( $options )) {
        $options = array(
                'title' => 'Fluid Accessible Progressbar',
            'categories' => 'Categories',
            'meta' => 'Meta',
            'recentPosts' => 'Recent Posts',
            'recentComments' => 'Recent Comments',
            'text' => 'Clicking a button will show the appropriate information.',
            'wait' => 'Processing, please wait'
        );
    }

    echo $before_widget;
    echo $before_title;
    echo $options['title'];
    echo $after_title;

    //Our Widget Content
    FluidAccessibleProgressbarContent();
    echo $after_widget;
}

function FluidAccessibleProgressbarContent() {
    $recentPosts = get_recent_posts();
    $recentComments = get_recent_comments();
    $categories = get_my_categories();
    $meta = get_my_meta();

    $options = get_option("widget_FluidAccessibleProgressbar");
    if (!is_array($options)) {
        $options = array(
            'title' => 'Fluid Accessible Progressbar',
            'categories' => 'Categories',
            'meta' => 'Meta',
            'recentPosts' => 'Recent Posts',
            'recentComments' => 'Recent Comments',
            'text' => 'Clicking a button will show the appropriate information.',
            'wait' => 'Processing, please wait'
        );
    }

    echo '<div class="demo" role="application">
<div id="fluid_main">
    <p>
        ' . $options['text'] . '
    </p>
    <p>
        <button id="postsButton">' . $options['recentPosts'] . '</button>
        <button id="commentsButton">' . $options['recentComments'] . '</button>
        <button id="categoriesButton">' . $options['categories'] . '</button>
        <button id="metaButton">' . $options['meta'] . '</button>
    </p>
    <div class="fluid_progressbar_posts" style="display: none">
            <ul aria-label="Recent Posts">
                ' . $recentPosts . '
            </ul>
	</div>
    <div class="fluid_progressbar_comments" style="display: none">
            <ul aria-label="Recent Comments">
                ' . $recentComments . '
            </ul>
	</div>
    <div class="fluid_progressbar_categories" style="display: none">
            <ul aria-label="Categories">
                ' . $categories . '
            </ul>
	</div>
    <div class="fluid_progressbar_meta" style="display: none">
            <ul aria-label="Meta">
                ' . $meta . '
            </ul>
	</div>
    <div class="flc-progress progress-pop-up">
        <h3 class="fluid_progressbar_pop_up_header">' . $options['wait'] . '...</h3>
        <div class="flc-progress-bar progress-bar">
            <div class="flc-progress-indicator progress-indicator">
            </div>
        </div>
        <p class="flc-progress-label progress-label">
            0% Complete
        </p>
    </div>
</div>

</div>';
}

function FluidAccessibleProgressbar_control() {
    $options = get_option("widget_FluidAccessibleProgressbar");
    if (!is_array( $options )) {
        $options = array(
            'title' => 'Fluid Accessible Progressbar',
            'categories' => 'Categories',
            'meta' => 'Meta',
            'recentPosts' => 'Recent Posts',
            'recentComments' => 'Recent Comments',
            'text' => 'Clicking a button will show the appropriate information.',
            'wait' => 'Processing, please wait'
        );
    }

    if ($_POST['FluidAccessibleProgressbar-SubmitTitle']) {
        $options['title'] = htmlspecialchars($_POST['FluidAccessibleProgressbar-WidgetTitle']);
        update_option("widget_FluidAccessibleProgressbar", $options);
    }
    if ($_POST['FluidAccessibleProgressbar-SubmitCategories']) {
        $options['categories'] = htmlspecialchars($_POST['FluidAccessibleProgressbar-WidgetCategories']);
        update_option("widget_FluidAccessibleProgressbar", $options);
    }
    if ($_POST['FluidAccessibleProgressbar-SubmitMeta']) {
        $options['meta'] = htmlspecialchars($_POST['FluidAccessibleProgressbar-WidgetMeta']);
        update_option("widget_FluidAccessibleProgressbar", $options);
    }
    if ($_POST['FluidAccessibleProgressbar-SubmitRecentPosts']) {
        $options['recentPosts'] = htmlspecialchars($_POST['FluidAccessibleProgressbar-WidgetRecentPosts']);
        update_option("widget_FluidAccessibleProgressbar", $options);
    }
    if ($_POST['FluidAccessibleProgressbar-SubmitRecentComments']) {
        $options['recentComments'] = htmlspecialchars($_POST['FluidAccessibleProgressbar-WidgetRecentComments']);
        update_option("widget_FluidAccessibleProgressbar", $options);
    }
    if ($_POST['FluidAccessibleProgressbar-SubmitText']) {
        $options['text'] = htmlspecialchars($_POST['FluidAccessibleProgressbar-WidgetText']);
        update_option("widget_FluidAccessibleProgressbar", $options);
    }
    if ($_POST['FluidAccessibleProgressbar-SubmitWait']) {
        $options['wait'] = htmlspecialchars($_POST['FluidAccessibleProgressbar-WidgetWait']);
        update_option("widget_FluidAccessibleProgressbar", $options);
    }
    ?>
    <p>
        <label for="FluidAccessibleProgressbar-WidgetTitle">Widget Title: </label>
        <input type="text" id="FluidAccessibleProgressbar-WidgetTitle" name="FluidAccessibleProgressbar-WidgetTitle" value="<?php echo $options['title'];?>" />
        <input type="hidden" id="FluidAccessibleProgressbar-SubmitTitle" name="FluidAccessibleProgressbar-SubmitTitle" value="1" />
    </p>
    <p>
        <label for="FluidAccessibleProgressbar-WidgetCategories">Translation for "Categories": </label>
        <input type="text" id="FluidAccessibleProgressbar-WidgetCategories" name="FluidAccessibleProgressbar-WidgetCategories" value="<?php echo $options['categories'];?>" />
        <input type="hidden" id="FluidAccessibleProgressbar-SubmitCategories" name="FluidAccessibleProgressbar-SubmitCategories" value="1" />
    </p>
    <p>
        <label for="FluidAccessibleProgressbar-WidgetMeta">Translation for "Meta": </label>
        <input type="text" id="FluidAccessibleProgressbar-WidgetMeta" name="FluidAccessibleProgressbar-WidgetMeta" value="<?php echo $options['meta'];?>" />
        <input type="hidden" id="FluidAccessibleProgressbar-SubmitMeta" name="FluidAccessibleProgressbar-SubmitMeta" value="1" />
    </p>
    <p>
        <label for="FluidAccessibleProgressbar-WidgetRecentPosts">Translation for "Recent Posts": </label>
        <input type="text" id="FluidAccessibleProgressbar-WidgetRecentPosts" name="FluidAccessibleProgressbar-WidgetRecentPosts" value="<?php echo $options['recentPosts'];?>" />
        <input type="hidden" id="FluidAccessibleProgressbar-SubmitRecentPosts" name="FluidAccessibleProgressbar-SubmitRecentPosts" value="1" />
    </p>
    <p>
        <label for="FluidAccessibleProgressbar-WidgetRecentComments">Translation for "Recent Comments": </label>
        <input type="text" id="FluidAccessibleProgressbar-WidgetRecentComments" name="FluidAccessibleProgressbar-WidgetRecentComments" value="<?php echo $options['recentComments'];?>" />
        <input type="hidden" id="FluidAccessibleProgressbar-SubmitRecentComments" name="FluidAccessibleProgressbar-SubmitRecentComments" value="1" />
    </p>
    <p>
        <label for="FluidAccessibleProgressbar-WidgetText">Translation for "Clicking a button will show the appropriate information.": </label>
        <input type="text" id="FluidAccessibleProgressbar-WidgetText" name="FluidAccessibleProgressbar-WidgetText" value="<?php echo $options['text'];?>" />
        <input type="hidden" id="FluidAccessibleProgressbar-SubmitText" name="FluidAccessibleProgressbar-SubmitText" value="1" />
    </p>
    <p>
        <label for="FluidAccessibleProgressbar-WidgetWait">Translation for "Processing, please wait": </label>
        <input type="text" id="FluidAccessibleProgressbar-WidgetWait" name="FluidAccessibleProgressbar-WidgetWait" value="<?php echo $options['wait'];?>" />
        <input type="hidden" id="FluidAccessibleProgressbar-SubmitWait" name="FluidAccessibleProgressbar-SubmitWait" value="1" />
    </p>
    
    <?php
}

?>
